package com.bonus.canteen.core.supply.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.supply.domain.DrpSupplier;
import com.bonus.canteen.core.supply.dto.*;
import com.bonus.canteen.core.supply.vo.DrpMaterialSupplierVO;
import com.bonus.canteen.core.supply.vo.DrpSupplierMainInfoVO;
import com.bonus.canteen.core.supply.vo.DrpSupplierPageVO;
import com.bonus.canteen.core.supply.vo.DrpSupplierVO;

import java.util.List;
import java.util.Map;

public interface DrpSupplierService extends IService<DrpSupplier> {
   void addDrpSupplier(DrpSupplierAddDTO content);

   void removeBySupplierId(Long supplierId);

   void editDrpSupplier(DrpSupplierEditDTO content);

   void editDrpSupplierStatus(DrpSupplierEditStatusDTO content);

   List<DrpSupplierPageVO> getDrpSupplierPage(DrpSupplierPageDTO content);

   List<DrpSupplierVO> listSupplier(DrpSupplierQueryDTO content);

   Map<Long,List<DrpSupplierVO>> supplierByMaterialId(DrpSupplierDTO content);

   void bidMaterialSupplier(DrpBidMaterialSupplierDTO content);

    List<DrpMaterialSupplierVO> getMaterialSupplier(DrpMaterialInfoDTO content);

    DrpSupplierMainInfoVO getMainInfoById(Long supplierId);
}
